PLSDIORI(3)

NAME
plsdiori - Set plot orientation

SYNOPSIS
plsdiori(rot)

DESCRIPTION

Set plot orientation parameter which is multiplied by 90 degrees to obtain the angle of rotation. Note, arbitrary rotation parameters such as 0.2 (corresponding to 18 degrees) are possible, but the usual values for the rotation parameter are 0., 1., 2., and 3. corresponding to 0 degrees (landscape mode), 90 degrees (portrait mode), 180 degrees (seascape mode), and 270 degrees (upside-down mode). If plsdiori(3) is not called the default value of rot is 0.

N.B. aspect ratio is unaffected by calls to plsdiori(3). So you will probably want to change the aspect ratio to a value suitable for the plot orientation using a call to plsdidev(3) or the command-line options -a or -freeaspect. For more documentation of those options see the PLplot documentation. Such command-line options can be set internally using plsetopt(3) or set directly using the command line and parsed using a call to plparseopts(3).

Redacted form: plsdiori(rot)

This function is not used in any examples.

ARGUMENTS

rot (PLFLT(3), input)
    Plot orientation parameter.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.